/*
    -----------------------------------------------------------
    custbuttEnglish.h
    February 9, 1999
    Ken Mayer

     *** Note: you should copy this file to your
     ..\Visual dBASE\INCLUDE directory for it to
     be used properly by all of your applications.

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC. 
    The idea is that by defining them here, someone using 
    another language can copy this file and translate the 
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    *****************
    November 11, 2000
    *****************
    NOTE: If you update your application to use the 
    CUSTBUTT.CC file from dUFLP version 2KC (DUFLP2KC.EXE),
    then you MUST update your .H file -- this is a fix based
    on a discovery that EMPTYTABLE and FILTER strings could
    cause problem in code that used the database object
    emptyTable method, or the rowset object's filter property.
    These strings are defined as EMPTYTABLETEXT and FILTERTEXT
    now, and will not cause a conflict.

    Suggestion by Francesco Navarria, in Italy ...
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
#define TOPTIP                  "First row in rowset"
#define PREVTIP                 "Previous row in rowset"
#define NEXTTIP                 "Next row in rowset"
#define ENDTIP                  "Last row in rowset"

// ----------------------------------------------------------
// editing buttons:
#define ADDTIP                  "Add new row"
#define CARRYTIP                "Copy data to a new Row"
#define EDITTIP                 "Edit current row"
#define SAVETIP                 "Save current row"
#define DELETETIP               "Delete current row"
#define ABANDONTIP              "Abandon changes to row"

// ----------------------------------------------------------
// filter/locate buttons:
#define FILTERTIP               "Filter/Run/Clear Filter"
#define LOCATETIP               "Locate/Run/Clear Locate"

// ----------------------------------------------------------
// clipboard buttons:
#define CUTTIP                  "Cut selected text"
#define COPYTIP                 "Copy selected text"
#define PASTETTIP               "Paste from clipboard"

// ----------------------------------------------------------
// misc. buttons:
#define CLOSETIP                "Close this form"
#define YESTIP                  "Yes"
#define NOTIP                   "No"
#define CANCELTIP               "Cancel"
#define QUESTIONTIP             "Question? Help?"
#define RUNTIP                  "Run"
#define INFOTIP                 "Information"
#define RESTOREFROMDISKTIP      "Restore from disk"
#define SAVETODISKTIP           "Save to disk"
#define OPENFILETIP             "Open file ..."
#define TOOLBUTTONTIP           "Tool Button"
#define PRINTTIP                "Print"
#define SEARCHTIP               "Search"
#define SEARCHAGAINTIP          "Continue search"
#define REPLACETIP              "Replace"
#define EXITTIP                 "Exit"
#define FIRSTPAGETIP            "First Page"
#define NEXTPAGETIP             "Next Page"
#define PREVIOUSPAGETIP         "Previous Page"
#define LIGHTBULBTIP            "The Light Goes Off"

// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// ----------------------------------------------------------
// This one appears as the title for various dialogs
#define CANTDOIT                "Can't do it!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
#define NAVNOROWSET             "Cannot Navigate with no rowset!"
#define ADDNOROWSET             "Cannot add rows with no rowset!"
#define COPYNOROWSET            "Cannot copy rows on a form without a rowset!"
#define EDITNOROWSET            "Cannot update rows on a form without a rowset!"
#define SAVENOROWSET            "Cannot save changes to rows on a form without a rowset!"
#define DELETENOROWSET          "Cannot delete rows on a form without a rowset!"
#define ABANDONNOROWSET         "Cannot abandon changes to rows on a form without a rowset!"
#define FILTERNOROWSET          "Cannot filter an empty or missing rowset!"
#define LOCATENOROWSET          "Cannot perform a locate with no rowset!"

// -----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
#define DATACHANGED             "Data has changed"
#define SAVECHANGES             "Save changes before leaving record?"

// ----------------------------------------------------------
// Title when user can't navigate:
#define CANTNAVIGATE            "Can't Navigate!"

// ----------------------------------------------------------
// Other messages ...
#define INFILTERMODE            "You are in filter mode"
#define INLOCATEMODE            "You are in locate mode"

#define ATFIRSTROW              "At first row in rowset"
#define ATLASTROW               "At last row in rowset"

#define ROWISCOPIED             "Row is copied -- you are in append mode. Make changes and save or abandon new row."

#define NOTEDITING              "Cannot Save edits/new row when you weren't editing/adding"

#define KEYVIOLATION            "Key Violation - That Key already exists."
#define UNKNOWNERROR            "Unknown error -- "

#define DELETEYESNO             "You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define NOTHINGTODELETE         "Nothing to delete!"

#define ABANDONWILLCANCELFILTER "Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELLOCATE "Abandoning the row will cancel the locate!"
#define NOTHINGTOABANDON        "Cannot Abandon edits/new row when you weren't editing/adding!"

#define NOMATCH                 "No Match"
#define EXITFROMFILTER          "Exit from filter mode!"
#define NOMOREMATCHES           "No more matches!"

#define CANTSEARCHINMEMO        "Can't search in memo field!"
#define CANTFILTERINMEMO        "Can't filter on a memo field!"

// ------------------------------------------------------------
// Misc Titles
#define CANTADDROW              "Can't Add a new row!"
#define CANTCOPYROW             "Can't Copy row!"
#define COPYCOMPLETE            "Copy complete"
#define CANTEDITROW             "Can't Edit row!"
#define CANTSAVEROW             "Can't Save row!"
#define NOCHANGES               "No changes to save!"
#define CANTDELETEROW           "Can't Delete row!"
#define ALERT                   "Alert"
#define EMPTYTABLETEXT          "Empty table"
#define CANCELFILTER            "Cancel Filter?"
#define CANCELLOCATE            "Cancel Locate?"
#define CANTABANDONROW          "Can't abandon row!"
#define CANTSETFILTER           "Can't set a filter!"
#define FILTERTEXT              "Filter"
#define CANTSEARCH              "Can't start a search!"
#define SEARCH                  "Search"

// -----------------------------------------------------------
// kmRowState -- states:
#define STATECLOSED             "Closed"
#define STATEVIEW               "View" // or "Browse"
#define STATEEDIT               "Edit"
#define STATEAPPEND             "Append"
#define STATEFILTER             "Filter"
#define STATELOCATE             "Locate"

// -----------------------------------------------------------
// End of header file: custButtEnglish.h
// -----------------------------------------------------------

